Skip to content

Update Contact Details

| View as Markdown

This API will update contact details of merchant in merchant’s assigned domain. We must pass airpay merchant id, username, password, secret key, sub domain, legal name, address, city, state, pin code, contact no and in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/singlepager/api/update
FieldTypeRequiredDescription
airpay_merchant_idNumericYesMerchant ID (length 11)
airpay_usernameVarcharYesMerchant Username (length 50)
airpay_passwordVarcharYesMerchant Password (length 50)
airpay_secret_keyVarcharYesMerchant Secret Key (length 100)
subdomainVarcharNoDomain name of the Merchant (length 100)
Example: abc.nwpay.co.in
legal_nameVarcharYesMerchant business legal name (length 100)
addressVarcharNoMerchant address (length 100)
cityVarcharNoMerchant City (length 50)
stateVarcharNoMerchant State (length 50)
pincodeNumericNoMerchant Pincode (length 10)
contact_noNumericNoMerchant Contact Number (length 10)
checksumVarcharYesChecksum generation:
hash_hmac('sha256', airpay_merchant_id + airpay_username + legal_name, '91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps')
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/singlepager/api/update' \
--header 'content-type: application/json' \
--header 'processor-key:91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'airpay_merchant_id=1088' \
--form 'airpay_username=userabc' \
--form 'airpay_password=passabc' \
--form 'airpay_secret_key=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'subdomain=abc.nwpay.co.in' \
--form 'legal_name=' \
--form 'address=' \
--form 'city=' \
--form 'state=' \
--form 'pincode=' \
--form 'contact_no=' \
--form 'checksum=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps'
FieldTypeDescription
ResultTextResult message
Success - 200 (The transaction is success)
Transaction in Process - 211 (The transaction is processing)
Failed - 400 (The transaction is failed)
Dropped - 401 (The transaction will not register properly)
Cancel - 402 (payment that has not yet been processed)
Incomplete - 403 (Not recieved any call back from bank)
Bounced - 405 (The transaction has bounced)
No Records - 503 (There are no records found)
HTTP/1.1 200 OK
{
"Result": "Success"
}
{
"SinglePager": {
"Errors": {
"10": "Airpay Merchant Id Can Not Be Empty",
"11": "Airpay Merchant Id Can Not Exceed Maximun 11 Characters",
"12": "Airpay Username Can Not Be Empty",
"13": "Airpay Username Can Not Exceed Maximun 11 Characters",
"14": "Airpay Password Can Not Be Empty",
"15": "Airpay Password Can Not Exceed Maximun 11 Characters",
"16": "Airpay Secret Key Can Not Be Empty",
"17": "Airpay Secret Key Can Not Exceed Maximun 11 Characters",
"00": "Header Aunthentication Failed, Invalid Content-Type",
"01": "Header Aunthentication Failed, Airpay-Key Can Not Be Empty",
"02": "Header Aunthentication Failed, Invalid Airpay-Key",
"03": "Invalid Request",
"04": "Checksum cannot be empty",
"05": "Wrong Checksum",
"06": "Invalid Subdomain",
"07": "Subdomain Can Not Exceed Maximun 80 Characters",
"08": "Business legal name cannot be empty",
"09": "Business legal name is Invalid"
}
},
"Result": "Fail"
}